libsyncml 0.5.4

- Main Page
- Modules
- Data Structures
- Files

Modules | Macros | Typedefs | Functions
Low Level API
libsyncml API

The public part. More...

Collaboration diagram for Low Level API:

## Modules

| SyncML Base64 (DEPRECATED)
| The public part.
| SyncML Command
| The public part.
| SyncML Defines
| The public part.
| SyncML Device Information
| The public part.
| SyncML Elements
| The public part.
| SyncML Errors
| Libsyncml's error reporting facilities.
| SyncML Manager
| The public part.
| SyncML MD5
| The public part.
| SyncML Notifications
| The public part.
| SyncML Parser
| Interfaces to parse syncml messages.
| SyncML Assembler
| Interfaces to assemble syncml messages.
| SyncML Session
| Interfaces to create, manipulate and delete sessions.
| SyncML Transport API
| Transports can be used to connect to other syncml capable devices and servers.

## Macros

#define | TRUE 1
#define | FALSE 0

## Typedefs

typedef struct SmlError | SmlError
typedef struct SmlTransport | SmlTransport
typedef struct SmlParser | SmlParser
typedef struct SmlAssembler | SmlAssembler
typedef struct SmlCommand | SmlCommand
typedef struct SmlLocation | SmlLocation
typedef struct SmlStatus | SmlStatus
typedef struct SmlSession | SmlSession
typedef struct SmlAnchor | SmlAnchor
typedef struct SmlPendingStatus | SmlPendingStatus
typedef struct SmlItem | SmlItem
typedef struct SmlDevInf | SmlDevInf
typedef struct SmlDevInfDataStore | SmlDevInfDataStore
typedef struct SmlDevInfContentType | SmlDevInfContentType
typedef struct SmlDevInfCTCap | SmlDevInfCTCap
typedef struct SmlDevInfProperty | SmlDevInfProperty
typedef struct SmlDevInfPropParam | SmlDevInfPropParam
typedef struct SmlNotification | SmlNotification
typedef struct SmlSanAlert | SmlSanAlert
typedef struct SmlMapItem | SmlMapItem
typedef struct SmlCred | SmlCred
typedef struct SmlChal | SmlChal
typedef struct SmlHeader | SmlHeader
typedef struct SmlTransportData | SmlTransportData
typedef struct SmlObject | SmlObject
typedef struct SmlManager | SmlManager
typedef struct SmlLink | SmlLink
typedef int | SmlBool

## Functions

const char * | smlGetLibraryVersion ()
const char * | smlGetLibrarySoName ()

## Detailed Description

The public part.